Update Trunk Status Monitoring Settings
Update trunk status monitoring settings for the API feature.
Request URL
POST {base_url}/{api_path}/trunk_status_monitor/update?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| trunk_monitor_list | No | Array<Monitoring_Settings> | The status monitoring settings of trunks. |
Monitoring_Settings
| Parameter | Required | Type | Description |
|---|---|---|---|
| trunk_id | Yes | Integer | Trunk ID. Note: You can get trunk IDs using Query Trunk Status Monitoring Settings. |
| name | No | String | Trunk Name. |
| enb_call_status | No | Integer | Whether to enable call status monitoring for the trunk. Valid value:
|
| enb_control_inbound_call | No | Integer | Whether to allow the control on inbound calls routed by the trunk. Valid value:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
Examples
Request example
Update monitoring settings for two trunks (ID: 14 & 15).
POST /openapi/v1.0/extension_status_monitor/update?access_token=QytWnoLcod7RFB5f0S5oX4ORMbKPbU5t HTTP/1.1
Host: 192.168.5.150:8088
Content-Type: application/json
{
"trunk_monitor_list": [
{
"trunk_id": 14,
"name": "Register1",
"enb_call_status": 1
},
{
"trunk_id": 15,
"name": "Register2",
"enb_call_status": 1,
"enb_control_inbound_call": 0
}
]
}Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS"
}